using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;

namespace LD20_Game
{
    class Platform
    {
        Rectangle location;
        public Rectangle Location { get{ return location; } }
        public BoundingBox Bounds
        {
            get
            {
                return new BoundingBox(new Vector3(location.X, location.Y, 0),
                                        new Vector3(location.Right, location.Bottom, 0));
            }
        }


        public Platform(Vector2 loc)
        {
            location = new Rectangle((int)loc.X, (int)loc.Y, 800, 16);
        }

        public void Draw(SpriteBatch spriteBatch)
        {
            spriteBatch.Draw(TextureManager.Textures["platform"], location, Color.White);
        }
    }
}
